Index: trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithm.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithm.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithm.cs	(revision 7172)
@@ -33,5 +33,4 @@
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Random;
-using System.Collections.Generic;
 
 namespace HeuristicLab.Algorithms.GeneticAlgorithm {
@@ -377,8 +376,8 @@
           foreach (IScopeTreeLookupParameter param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 1;
-          Analyzer.Operators.Add(analyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
         }
       }
-      Analyzer.Operators.Add(qualityAnalyzer);
+      Analyzer.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
     }
     private GeneticAlgorithmMainLoop FindMainLoop(IOperator start) {
Index: trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs	(revision 7172)
@@ -509,13 +509,13 @@
       IslandAnalyzer.Operators.Clear();
       Analyzer.Operators.Clear();
-      IslandAnalyzer.Operators.Add(islandQualityAnalyzer);
+      IslandAnalyzer.Operators.Add(islandQualityAnalyzer, islandQualityAnalyzer.EnabledByDefault);
       if (Problem != null) {
         foreach (IAnalyzer analyzer in Problem.Operators.OfType<IAnalyzer>()) {
           foreach (IScopeTreeLookupParameter param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 2;
-          Analyzer.Operators.Add(analyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
         }
       }
-      Analyzer.Operators.Add(qualityAnalyzer);
+      Analyzer.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
     }
     private IslandGeneticAlgorithmMainLoop FindMainLoop(IOperator start) {
Index: trunk/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs	(revision 7172)
@@ -335,8 +335,8 @@
           foreach (IScopeTreeLookupParameter param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 0;
-          Analyzer.Operators.Add(analyzer);
-        }
-      }
-      Analyzer.Operators.Add(moveQualityAnalyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
+        }
+      }
+      Analyzer.Operators.Add(moveQualityAnalyzer, moveQualityAnalyzer.EnabledByDefault);
     }
     private void ClearMoveParameters() {
Index: trunk/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchImprovementOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchImprovementOperator.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearchImprovementOperator.cs	(revision 7172)
@@ -244,5 +244,5 @@
       }
       return false;
-    } 
+    }
 
     private void UpdateAnalyzers() {
@@ -255,9 +255,9 @@
             foreach (IScopeTreeLookupParameter param in clone.Parameters.OfType<IScopeTreeLookupParameter>())
               param.Depth = 0;
-            Analyzer.Operators.Add(clone);
+            Analyzer.Operators.Add(clone, clone.EnabledByDefault);
           }
         }
       }
-      Analyzer.Operators.Add(qualityAnalyzer);
+      Analyzer.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
     }
 
Index: trunk/sources/HeuristicLab.Algorithms.NSGA2/3.3/NSGA2.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.NSGA2/3.3/NSGA2.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.NSGA2/3.3/NSGA2.cs	(revision 7172)
@@ -385,8 +385,8 @@
           foreach (IScopeTreeLookupParameter param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 1;
-          Analyzer.Operators.Add(analyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
         }
       }
-      Analyzer.Operators.Add(paretoFrontAnalyzer);
+      Analyzer.Operators.Add(paretoFrontAnalyzer, paretoFrontAnalyzer.EnabledByDefault);
     }
     private NSGA2MainLoop FindMainLoop(IOperator start) {
Index: trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs	(revision 7172)
@@ -261,5 +261,5 @@
         successfulOffspringAnalyzer = new SuccessfulOffspringAnalyzer();
       #endregion
-      
+
       Initialize();
     }
@@ -619,17 +619,16 @@
       IslandAnalyzer.Operators.Clear();
       Analyzer.Operators.Clear();
-      IslandAnalyzer.Operators.Add(islandQualityAnalyzer);
-      IslandAnalyzer.Operators.Add(islandSelectionPressureAnalyzer);
+      IslandAnalyzer.Operators.Add(islandQualityAnalyzer, islandQualityAnalyzer.EnabledByDefault);
+      IslandAnalyzer.Operators.Add(islandSelectionPressureAnalyzer, islandSelectionPressureAnalyzer.EnabledByDefault);
       if (Problem != null) {
         foreach (IAnalyzer analyzer in Problem.Operators.OfType<IAnalyzer>()) {
           foreach (IScopeTreeLookupParameter param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 2;
-          Analyzer.Operators.Add(analyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
         }
       }
-      Analyzer.Operators.Add(qualityAnalyzer);
-      Analyzer.Operators.Add(selectionPressureAnalyzer);
-      Analyzer.Operators.Add(successfulOffspringAnalyzer);
-      Analyzer.Operators.SetItemCheckedState(successfulOffspringAnalyzer, false);
+      Analyzer.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
+      Analyzer.Operators.Add(selectionPressureAnalyzer, selectionPressureAnalyzer.EnabledByDefault);
+      Analyzer.Operators.Add(successfulOffspringAnalyzer, successfulOffspringAnalyzer.EnabledByDefault);
     }
     private IslandOffspringSelectionGeneticAlgorithmMainLoop FindMainLoop(IOperator start) {
Index: trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithm.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithm.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithm.cs	(revision 7172)
@@ -209,5 +209,5 @@
         successfulOffspringAnalyzer = new SuccessfulOffspringAnalyzer();
       #endregion
-      
+
       Initialize();
     }
@@ -470,11 +470,10 @@
           foreach (IScopeTreeLookupParameter param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 1;
-          Analyzer.Operators.Add(analyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
         }
       }
-      Analyzer.Operators.Add(qualityAnalyzer);
-      Analyzer.Operators.Add(selectionPressureAnalyzer);
-      Analyzer.Operators.Add(successfulOffspringAnalyzer);
-      Analyzer.Operators.SetItemCheckedState(successfulOffspringAnalyzer, false);
+      Analyzer.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
+      Analyzer.Operators.Add(selectionPressureAnalyzer, selectionPressureAnalyzer.EnabledByDefault);
+      Analyzer.Operators.Add(successfulOffspringAnalyzer, successfulOffspringAnalyzer.EnabledByDefault);
     }
     private OffspringSelectionGeneticAlgorithmMainLoop FindMainLoop(IOperator start) {
Index: trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs	(revision 7172)
@@ -557,17 +557,16 @@
       VillageAnalyzer.Operators.Clear();
       Analyzer.Operators.Clear();
-      VillageAnalyzer.Operators.Add(villageQualityAnalyzer);
-      VillageAnalyzer.Operators.Add(villageSelectionPressureAnalyzer);
+      VillageAnalyzer.Operators.Add(villageQualityAnalyzer, villageQualityAnalyzer.EnabledByDefault);
+      VillageAnalyzer.Operators.Add(villageSelectionPressureAnalyzer, villageSelectionPressureAnalyzer.EnabledByDefault);
       if (Problem != null) {
         foreach (IAnalyzer analyzer in Problem.Operators.OfType<IAnalyzer>()) {
           foreach (IScopeTreeLookupParameter param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 2;
-          Analyzer.Operators.Add(analyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
         }
       }
-      Analyzer.Operators.Add(qualityAnalyzer);
-      Analyzer.Operators.Add(selectionPressureAnalyzer);
-      Analyzer.Operators.Add(successfulOffspringAnalyzer);
-      Analyzer.Operators.SetItemCheckedState(successfulOffspringAnalyzer, false);
+      Analyzer.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
+      Analyzer.Operators.Add(selectionPressureAnalyzer, selectionPressureAnalyzer.EnabledByDefault);
+      Analyzer.Operators.Add(successfulOffspringAnalyzer, successfulOffspringAnalyzer.EnabledByDefault);
     }
     private SASEGASAMainLoop FindMainLoop(IOperator start) {
Index: trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SuccessfulOffspringAnalysis/SuccessfulOffspringAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SuccessfulOffspringAnalysis/SuccessfulOffspringAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SuccessfulOffspringAnalysis/SuccessfulOffspringAnalyzer.cs	(revision 7172)
@@ -23,13 +23,12 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using HeuristicLab.Analysis;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Data;
 using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
-using HeuristicLab.Common;
 using HeuristicLab.Parameters;
-using HeuristicLab.Data;
-using HeuristicLab.Analysis;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm {
@@ -40,4 +39,8 @@
   [StorableClass]
   public sealed class SuccessfulOffspringAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public bool EnabledByDefault {
+      get { return false; }
+    }
+
     public ValueParameter<StringValue> SuccessfulOffspringFlagParameter {
       get { return (ValueParameter<StringValue>)Parameters["SuccessfulOffspringFlag"]; }
@@ -53,5 +56,5 @@
 
     public LookupParameter<ResultCollection> SuccessfulOffspringAnalysisParameter {
-      get { return (LookupParameter<ResultCollection>)Parameters["SuccessfulOffspringAnalysis"];  }
+      get { return (LookupParameter<ResultCollection>)Parameters["SuccessfulOffspringAnalysis"]; }
     }
 
@@ -63,8 +66,8 @@
       get { return (ValueParameter<IntValue>)Parameters["Depth"]; }
     }
-    
+
     public override IDeepCloneable Clone(Cloner cloner) {
       return new SuccessfulOffspringAnalyzer(this, cloner);
-    }    
+    }
     [StorableConstructor]
     private SuccessfulOffspringAnalyzer(bool deserializing) : base(deserializing) { }
@@ -72,10 +75,10 @@
     public SuccessfulOffspringAnalyzer()
       : base() {
-        Parameters.Add(new ValueParameter<StringValue>("SuccessfulOffspringFlag", "The name of the flag which indicates if the individual was successful.", new StringValue("SuccessfulOffspring")));
-        Parameters.Add(new ValueParameter<ItemCollection<StringValue>>("CollectedValues", "The properties of the successful offspring that should be collected.", new ItemCollection<StringValue>()));
-        Parameters.Add(new ValueLookupParameter<ResultCollection>("Results", "The result collection where the succedd progress analysis results should be stored."));
-        Parameters.Add(new LookupParameter<IntValue>("Generations", "The current number of generations."));  
-        Parameters.Add(new LookupParameter<ResultCollection>("SuccessfulOffspringAnalysis", "The successful offspring analysis which is created."));
-        Parameters.Add(new ValueParameter<IntValue>("Depth", "The depth of the individuals in the scope tree.", new IntValue(1)));
+      Parameters.Add(new ValueParameter<StringValue>("SuccessfulOffspringFlag", "The name of the flag which indicates if the individual was successful.", new StringValue("SuccessfulOffspring")));
+      Parameters.Add(new ValueParameter<ItemCollection<StringValue>>("CollectedValues", "The properties of the successful offspring that should be collected.", new ItemCollection<StringValue>()));
+      Parameters.Add(new ValueLookupParameter<ResultCollection>("Results", "The result collection where the succedd progress analysis results should be stored."));
+      Parameters.Add(new LookupParameter<IntValue>("Generations", "The current number of generations."));
+      Parameters.Add(new LookupParameter<ResultCollection>("SuccessfulOffspringAnalysis", "The successful offspring analysis which is created."));
+      Parameters.Add(new ValueParameter<IntValue>("Depth", "The depth of the individuals in the scope tree.", new IntValue(1)));
     }
 
@@ -88,78 +91,78 @@
 
       ItemCollection<StringValue> collectedValues = CollectedValuesParameter.Value;
-        foreach (StringValue collected in collectedValues) {
-          //collect the values of the successful offspring
-          Dictionary<String, int> counts = new Dictionary<String, int>();
-          for (int i = 0; i < scopes.Count; i++) {
-            IScope child = scopes[i];
-            string successfulOffspringFlag = SuccessfulOffspringFlagParameter.Value.Value;
-            if (child.Variables.ContainsKey(collected.Value) && 
-                child.Variables.ContainsKey(successfulOffspringFlag) && 
-                (child.Variables[successfulOffspringFlag].Value is BoolValue) &&
-                (child.Variables[successfulOffspringFlag].Value as BoolValue).Value) {
-              String key = child.Variables[collected.Value].Value.ToString();
+      foreach (StringValue collected in collectedValues) {
+        //collect the values of the successful offspring
+        Dictionary<String, int> counts = new Dictionary<String, int>();
+        for (int i = 0; i < scopes.Count; i++) {
+          IScope child = scopes[i];
+          string successfulOffspringFlag = SuccessfulOffspringFlagParameter.Value.Value;
+          if (child.Variables.ContainsKey(collected.Value) &&
+              child.Variables.ContainsKey(successfulOffspringFlag) &&
+              (child.Variables[successfulOffspringFlag].Value is BoolValue) &&
+              (child.Variables[successfulOffspringFlag].Value as BoolValue).Value) {
+            String key = child.Variables[collected.Value].Value.ToString();
 
-              if (!counts.ContainsKey(key))
-                counts.Add(key, 1);
-              else
-                counts[key]++;
-            }
+            if (!counts.ContainsKey(key))
+              counts.Add(key, 1);
+            else
+              counts[key]++;
+          }
+        }
+
+        //create a data table containing the collected values
+        ResultCollection successfulOffspringAnalysis;
+
+        if (SuccessfulOffspringAnalysisParameter.ActualValue == null) {
+          successfulOffspringAnalysis = new ResultCollection();
+          SuccessfulOffspringAnalysisParameter.ActualValue = successfulOffspringAnalysis;
+        } else {
+          successfulOffspringAnalysis = SuccessfulOffspringAnalysisParameter.ActualValue;
+        }
+
+        string resultKey = "SuccessfulOffspringAnalyzer Results";
+        if (!results.ContainsKey(resultKey)) {
+          results.Add(new Result(resultKey, successfulOffspringAnalysis));
+        } else {
+          results[resultKey].Value = successfulOffspringAnalysis;
+        }
+
+        DataTable successProgressAnalysis;
+        if (!successfulOffspringAnalysis.ContainsKey(collected.Value)) {
+          successProgressAnalysis = new DataTable();
+          successProgressAnalysis.Name = collected.Value;
+          successfulOffspringAnalysis.Add(new Result(collected.Value, successProgressAnalysis));
+        } else {
+          successProgressAnalysis = successfulOffspringAnalysis[collected.Value].Value as DataTable;
+        }
+
+        int successfulCount = 0;
+        foreach (string key in counts.Keys) {
+          successfulCount += counts[key];
+        }
+
+        foreach (String value in counts.Keys) {
+          DataRow row;
+          if (!successProgressAnalysis.Rows.ContainsKey(value)) {
+            row = new DataRow(value);
+            int iterations = GenerationsParameter.ActualValue.Value;
+
+            //fill up all values seen the first time
+            for (int i = 1; i < iterations; i++)
+              row.Values.Add(0);
+
+            successProgressAnalysis.Rows.Add(row);
+          } else {
+            row = successProgressAnalysis.Rows[value];
           }
 
-          //create a data table containing the collected values
-          ResultCollection successfulOffspringAnalysis;
+          row.Values.Add(counts[value] / (double)successfulCount);
+        }
 
-          if (SuccessfulOffspringAnalysisParameter.ActualValue == null) {
-            successfulOffspringAnalysis = new ResultCollection();
-            SuccessfulOffspringAnalysisParameter.ActualValue = successfulOffspringAnalysis;
-          } else {
-            successfulOffspringAnalysis = SuccessfulOffspringAnalysisParameter.ActualValue;
-          }
-
-          string resultKey = "SuccessfulOffspringAnalyzer Results";
-          if (!results.ContainsKey(resultKey)) {
-            results.Add(new Result(resultKey, successfulOffspringAnalysis));
-          } else {
-            results[resultKey].Value = successfulOffspringAnalysis;
-          }              
-
-          DataTable successProgressAnalysis;
-          if (!successfulOffspringAnalysis.ContainsKey(collected.Value)) {
-            successProgressAnalysis = new DataTable();
-            successProgressAnalysis.Name = collected.Value;
-            successfulOffspringAnalysis.Add(new Result(collected.Value, successProgressAnalysis));
-          } else {
-            successProgressAnalysis = successfulOffspringAnalysis[collected.Value].Value as DataTable;
-          }          
-
-          int successfulCount = 0;
-          foreach (string key in counts.Keys) {
-            successfulCount += counts[key];
-          }
-
-          foreach(String value in counts.Keys) {            
-            DataRow row;
-            if (!successProgressAnalysis.Rows.ContainsKey(value)) {
-              row = new DataRow(value);
-              int iterations = GenerationsParameter.ActualValue.Value;
-
-              //fill up all values seen the first time
-              for (int i = 1; i < iterations; i++)
-                row.Values.Add(0);
-
-              successProgressAnalysis.Rows.Add(row);
-            } else {
-              row = successProgressAnalysis.Rows[value];
-            }
-
-            row.Values.Add(counts[value] / (double)successfulCount);
-          }
-
-          //fill up all values that are not present in the current generation
-          foreach (DataRow row in successProgressAnalysis.Rows) {
-            if (!counts.ContainsKey(row.Name))
-              row.Values.Add(0);
-          }
-        }  
+        //fill up all values that are not present in the current generation
+        foreach (DataRow row in successProgressAnalysis.Rows) {
+          if (!counts.ContainsKey(row.Name))
+            row.Values.Add(0);
+        }
+      }
 
       return base.Apply();
Index: trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs	(revision 7172)
@@ -97,5 +97,5 @@
     [Storable]
     private ParticleSwarmOptimizationMainLoop mainLoop;
-    
+
     public override Type ProblemType {
       get { return typeof(ISingleObjectiveHeuristicOptimizationProblem); }
@@ -317,7 +317,7 @@
       if (Problem != null) {
         foreach (IAnalyzer analyzer in Problem.Operators.OfType<IAnalyzer>())
-          Analyzer.Operators.Add(analyzer);
-      }
-      Analyzer.Operators.Add(qualityAnalyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
+      }
+      Analyzer.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
     }
 
Index: trunk/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealing.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealing.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealing.cs	(revision 7172)
@@ -452,8 +452,8 @@
           foreach (IScopeTreeLookupParameter param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 0;
-          Analyzer.Operators.Add(analyzer);
-        }
-      }
-      Analyzer.Operators.Add(qualityAnalyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
+        }
+      }
+      Analyzer.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
     }
     private SimulatedAnnealingMainLoop FindMainLoop(IOperator start) {
Index: trunk/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealingImprovementOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealingImprovementOperator.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealingImprovementOperator.cs	(revision 7172)
@@ -279,9 +279,9 @@
             foreach (IScopeTreeLookupParameter param in clone.Parameters.OfType<IScopeTreeLookupParameter>())
               param.Depth = 0;
-            Analyzer.Operators.Add(clone);
+            Analyzer.Operators.Add(clone, clone.EnabledByDefault);
           }
         }
       }
-      Analyzer.Operators.Add(qualityAnalyzer);
+      Analyzer.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
     }
 
Index: trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuNeighborhoodAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuNeighborhoodAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuNeighborhoodAnalyzer.cs	(revision 7172)
@@ -33,4 +33,8 @@
   [Item("TabuNeighborhoodAnalyzer", "Analyzes the tabu neighborhood")]
   public class TabuNeighborhoodAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
+
     public ScopeTreeLookupParameter<BoolValue> IsTabuParameter {
       get { return (ScopeTreeLookupParameter<BoolValue>)Parameters["IsTabu"]; }
Index: trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs	(revision 7172)
@@ -407,9 +407,9 @@
           foreach (IScopeTreeLookupParameter param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 0;
-          Analyzer.Operators.Add(analyzer);
-        }
-      }
-      Analyzer.Operators.Add(moveQualityAnalyzer);
-      Analyzer.Operators.Add(tabuNeighborhoodAnalyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
+        }
+      }
+      Analyzer.Operators.Add(moveQualityAnalyzer, moveQualityAnalyzer.EnabledByDefault);
+      Analyzer.Operators.Add(tabuNeighborhoodAnalyzer, tabuNeighborhoodAnalyzer.EnabledByDefault);
     }
     private void ClearMoveParameters() {
Index: trunk/sources/HeuristicLab.Algorithms.VariableNeighborhoodSearch/3.3/VariableNeighborhoodSearch.cs
===================================================================
--- trunk/sources/HeuristicLab.Algorithms.VariableNeighborhoodSearch/3.3/VariableNeighborhoodSearch.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Algorithms.VariableNeighborhoodSearch/3.3/VariableNeighborhoodSearch.cs	(revision 7172)
@@ -315,8 +315,8 @@
           foreach (IScopeTreeLookupParameter param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 1;
-          Analyzer.Operators.Add(analyzer);
+          Analyzer.Operators.Add(analyzer, analyzer.EnabledByDefault);
         }
       }
-      Analyzer.Operators.Add(qualityAnalyzer);
+      Analyzer.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
     }
     private VariableNeighborhoodSearchMainLoop FindMainLoop(IOperator start) {
Index: trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs	(revision 7172)
@@ -37,4 +37,8 @@
   [StorableClass]
   public abstract class AlleleFrequencyAnalyzer<T> : SingleSuccessorOperator, IAnalyzer where T : class, IItem {
+    public virtual bool EnabledByDefault {
+      get { return false; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
Index: trunk/sources/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs	(revision 7172)
@@ -37,4 +37,8 @@
   [StorableClass]
   public class BestScopeSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
@@ -84,5 +88,5 @@
         i = qualities.Select((x, index) => new { index, x.Value }).OrderBy(x => x.Value).First().index;
       else i = qualities.Select((x, index) => new { index, x.Value }).OrderByDescending(x => x.Value).First().index;
-      
+
       IEnumerable<IScope> scopes = new IScope[] { ExecutionContext.Scope };
       for (int j = 0; j < QualityParameter.Depth; j++)
Index: trunk/sources/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs	(revision 7172)
@@ -38,4 +38,7 @@
     public override bool CanChangeName {
       get { return false; }
+    }
+    public virtual bool EnabledByDefault {
+      get { return true; }
     }
 
Index: trunk/sources/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs	(revision 7172)
@@ -11,4 +11,8 @@
   [StorableClass]
   public abstract class ParetoFrontAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
+
     public IScopeTreeLookupParameter<DoubleArray> QualitiesParameter {
       get { return (IScopeTreeLookupParameter<DoubleArray>)Parameters["Qualities"]; }
Index: trunk/sources/HeuristicLab.Analysis/3.3/PopulationDiversityAnalysis/PopulationDiversityAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/PopulationDiversityAnalysis/PopulationDiversityAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/PopulationDiversityAnalysis/PopulationDiversityAnalyzer.cs	(revision 7172)
@@ -37,4 +37,8 @@
   [StorableClass]
   public abstract class PopulationDiversityAnalyzer<T> : SingleSuccessorOperator, IAnalyzer where T : class, IItem {
+    public virtual bool EnabledByDefault {
+      get { return false; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
Index: trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs	(revision 7172)
@@ -74,4 +74,7 @@
 
     #region Properties
+    public bool EnabledByDefault {
+      get { return true; }
+    }
     private BestQualityMemorizer BestQualityMemorizer {
       get { return (BestQualityMemorizer)OperatorGraph.InitialOperator; }
Index: trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs	(revision 7172)
@@ -65,4 +65,7 @@
 
     #region Properties
+    public bool EnabledByDefault {
+      get { return true; }
+    }
     private BestQualityMemorizer BestQualityMemorizer {
       get { return (BestQualityMemorizer)OperatorGraph.InitialOperator; }
Index: trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs	(revision 7172)
@@ -54,4 +54,8 @@
     }
     #endregion
+
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
 
     public string HistogramName {
Index: trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs	(revision 7172)
@@ -34,4 +34,8 @@
   [StorableClass]
   public class ScaledQualityDifferenceAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
+
     public ILookupParameter<DoubleValue> QualityParameter {
       get { return (ILookupParameter<DoubleValue>)Parameters["Quality"]; }
Index: trunk/sources/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 7172)
@@ -68,4 +68,7 @@
 
     #region Properties
+    public bool EnabledByDefault {
+      get { return true; }
+    }
     private MinAverageMaxValueCalculator MinAverageMaxValueCalculator {
       get { return (MinAverageMaxValueCalculator)OperatorGraph.InitialOperator; }
@@ -81,4 +84,5 @@
     }
     #endregion
+
     [Storable]
     private ResultsCollector resultsCollector;
@@ -193,5 +197,5 @@
       else if (!CollectMaxValueInResults.Value && maxValueParameter != null)
         resultsCollector.CollectedValues.Remove(maxValueParameter);
-      }
+    }
 
     private void CollectMinValueInResultsParameter_ValueChanged(object sender, EventArgs e) {
Index: trunk/sources/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 7172)
@@ -50,4 +50,7 @@
 
     #region Properties
+    public bool EnabledByDefault {
+      get { return true; }
+    }
     private DataTableValuesCollector DataTableValuesCollector {
       get { return (DataTableValuesCollector)OperatorGraph.InitialOperator; }
@@ -63,5 +66,5 @@
     private ValueAnalyzer(ValueAnalyzer original, Cloner cloner)
       : base(original, cloner) {
-        Initialize();
+      Initialize();
     }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Analyzers/MinAverageMaxSymbolicExpressionTreeLengthAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Analyzers/MinAverageMaxSymbolicExpressionTreeLengthAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Analyzers/MinAverageMaxSymbolicExpressionTreeLengthAnalyzer.cs	(revision 7172)
@@ -43,4 +43,8 @@
     private const string MaxTreeLengthParameterName = "Maximal symbolic expression tree length";
     private const string ResultsParameterName = "Results";
+
+    public bool EnabledByDefault {
+      get { return true; }
+    }
 
     #region parameter properties
Index: trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Analyzers/SymbolicExpressionSymbolFrequencyAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Analyzers/SymbolicExpressionSymbolFrequencyAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Analyzers/SymbolicExpressionSymbolFrequencyAnalyzer.cs	(revision 7172)
@@ -59,4 +59,7 @@
     #endregion
     #region properties
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
     public BoolValue AggregrateSymbolsWithDifferentSubtreeCount {
       get { return AggregateSymbolsWithDifferentSubtreeCountParameter.Value; }
Index: trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Analyzers/SymbolicExpressionTreeLengthAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Analyzers/SymbolicExpressionTreeLengthAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding/3.4/Analyzers/SymbolicExpressionTreeLengthAnalyzer.cs	(revision 7172)
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 using System.Linq;
 using HeuristicLab.Analysis;
@@ -73,4 +72,7 @@
 
     #region Properties
+    public bool EnabledByDefault {
+      get { return true; }
+    }
     public IntValue UpdateInterval {
       get { return UpdateIntervalParameter.Value; }
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 7172)
@@ -26,4 +26,6 @@
   /// An interface which represents an analysis operator.
   /// </summary>
-  public interface IAnalyzer : IOperator { }
+  public interface IAnalyzer : IOperator {
+    bool EnabledByDefault { get; }
+  }
 }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs	(revision 7172)
@@ -37,4 +37,8 @@
   [StorableClass]
   public sealed class BestAntTrailAnalyzer : SingleSuccessorOperator, IAntTrailAnalyzer {
+    public bool EnabledByDefault {
+      get { return true; }
+    }
+
     public ILookupParameter<BoolMatrix> WorldParameter {
       get { return (ILookupParameter<BoolMatrix>)Parameters["World"]; }
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Analyzers/SymbolicDataAnalysisAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Analyzers/SymbolicDataAnalysisAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Analyzers/SymbolicDataAnalysisAnalyzer.cs	(revision 7172)
@@ -20,14 +20,11 @@
 #endregion
 
-using System.Collections.Generic;
-using System.Linq;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Data;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Operators;
+using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Optimization;
 
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic {
@@ -49,4 +46,7 @@
     #endregion
     #region properties
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
     public ItemArray<ISymbolicExpressionTree> SymbolicExpressionTree {
       get { return SymbolicExpressionTreeParameter.ActualValue; }
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Analyzers/SymbolicDataAnalysisSingleObjectiveValidationAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Analyzers/SymbolicDataAnalysisSingleObjectiveValidationAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Analyzers/SymbolicDataAnalysisSingleObjectiveValidationAnalyzer.cs	(revision 7172)
@@ -20,4 +20,6 @@
 #endregion
 
+using System;
+using System.Collections.Generic;
 using System.Linq;
 using HeuristicLab.Common;
@@ -26,6 +28,4 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using System.Collections.Generic;
-using System;
 using HeuristicLab.Random;
 
Index: trunk/sources/HeuristicLab.Problems.Knapsack/3.3/Analyzers/BestKnapsackSolutionAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Knapsack/3.3/Analyzers/BestKnapsackSolutionAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.Knapsack/3.3/Analyzers/BestKnapsackSolutionAnalyzer.cs	(revision 7172)
@@ -37,4 +37,8 @@
   [StorableClass]
   public class BestKnapsackSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
Index: trunk/sources/HeuristicLab.Problems.OneMax/3.3/Analyzers/BestOneMaxSolutionAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.OneMax/3.3/Analyzers/BestOneMaxSolutionAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.OneMax/3.3/Analyzers/BestOneMaxSolutionAnalyzer.cs	(revision 7172)
@@ -37,4 +37,8 @@
   [StorableClass]
   public class BestOneMaxSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
Index: trunk/sources/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/RobustTabooSearch.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/RobustTabooSearch.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/RobustTabooSearch.cs	(revision 7172)
@@ -382,10 +382,10 @@
       if (Problem != null) {
         foreach (IAnalyzer analyzer in ((IProblem)Problem).Operators.OfType<IAnalyzer>()) {
-          AnalyzerParameter.Value.Operators.Add(analyzer);
+          AnalyzerParameter.Value.Operators.Add(analyzer, analyzer.EnabledByDefault);
           if (!(analyzer is BestQAPSolutionAnalyzer))
             AnalyzerParameter.Value.Operators.SetItemCheckedState(analyzer, false);
         }
       }
-      AnalyzerParameter.Value.Operators.Add(qualityAnalyzer);
+      AnalyzerParameter.Value.Operators.Add(qualityAnalyzer, qualityAnalyzer.EnabledByDefault);
     }
 
Index: trunk/sources/HeuristicLab.Problems.QuadraticAssignment/3.3/Analyzers/BestQAPSolutionAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.QuadraticAssignment/3.3/Analyzers/BestQAPSolutionAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.QuadraticAssignment/3.3/Analyzers/BestQAPSolutionAnalyzer.cs	(revision 7172)
@@ -37,4 +37,8 @@
   [StorableClass]
   public sealed class BestQAPSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public bool EnabledByDefault {
+      get { return true; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
Index: trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Analyzers/BestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 7172)
@@ -37,4 +37,8 @@
   [StorableClass]
   class BestSingleObjectiveTestFunctionSolutionAnalyzer : SingleSuccessorOperator, IBestSingleObjectiveTestFunctionSolutionAnalyzer, IAnalyzer {
+    public virtual bool EnabledByDefault {
+      get { return true; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
Index: trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/BestTSPSolutionAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/BestTSPSolutionAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/BestTSPSolutionAnalyzer.cs	(revision 7172)
@@ -37,4 +37,8 @@
   [StorableClass]
   public sealed class BestTSPSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public bool EnabledByDefault {
+      get { return true; }
+    }
+
     public LookupParameter<BoolValue> MaximizationParameter {
       get { return (LookupParameter<BoolValue>)Parameters["Maximization"]; }
Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestAverageWorstVRPToursAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestAverageWorstVRPToursAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestAverageWorstVRPToursAnalyzer.cs	(revision 7172)
@@ -140,4 +140,7 @@
 
     #region Properties
+    public bool EnabledByDefault {
+      get { return true; }
+    }
     private BestVRPToursMemorizer BestMemorizer {
       get { return (BestVRPToursMemorizer)OperatorGraph.InitialOperator; }
Index: trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPSolutionAnalyzer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPSolutionAnalyzer.cs	(revision 7171)
+++ trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPSolutionAnalyzer.cs	(revision 7172)
@@ -36,4 +36,8 @@
   [StorableClass]
   public sealed class BestVRPSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer {
+    public bool EnabledByDefault {
+      get { return true; }
+    }
+
     public ScopeTreeLookupParameter<IVRPEncoding> VRPToursParameter {
       get { return (ScopeTreeLookupParameter<IVRPEncoding>)Parameters["VRPTours"]; }
@@ -95,5 +99,5 @@
     public BestVRPSolutionAnalyzer()
       : base() {
-        Parameters.Add(new ScopeTreeLookupParameter<IVRPEncoding>("VRPTours", "The VRP tours which should be evaluated."));
+      Parameters.Add(new ScopeTreeLookupParameter<IVRPEncoding>("VRPTours", "The VRP tours which should be evaluated."));
       Parameters.Add(new LookupParameter<DoubleMatrix>("Coordinates", "The x- and y-Coordinates of the cities."));
       Parameters.Add(new LookupParameter<DoubleMatrix>("DistanceMatrix", "The matrix which contains the distances between the cities."));
